Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.Renderer Class Reference
Inheritance diagram for FoxitPDFSDKPython2.Renderer:

## Public Member Functions
def | Renderer (bitmap, is_rgb_order)
| Constructor, with bitmap. More...
def | Renderer (other)
| Constructor, with another renderer object. More...
def | Renderer (print_param, dest_file_path)
| Constructor for printing, with specified print device setting data. More...
def | ClearClips ()
| Clear the clipping rectangle set by function FoxitPDFSDKPython2.Renderer.SetClipRect . More...
def | EnableForPrint (is_render_for_print)
| Set the flag to decide whether to do rendering in print mode. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | RenderAnnot (annot, matrix)
| Render a specified annotation. More...
def | RenderFormControls (page, matrix)
| Render form controls. More...
def | RenderGraphicsObject (graphics_object, page, matrix)
| Render a graphics object. More...
def | SetClearType (is_clear_type)
| Set the flag to decide whether to use ClearType-like anti-aliasing to render text objects. More...
def | SetClipPathFill (clip_path, matrix, fill_mode)
| Set clipping path using filled region. More...
def | SetClipPathStroke (clip_path, matrix, graph_state)
| Set clipping path using stroked region. More...
def | SetClipRect (clip_rect)
| Set the clipping rectangle which will be used in subsequent rendering progress. More...
def | SetColorMode (color_mode)
| Set color mode. More...
def | SetForceDownSample (is_to_force_down_sample)
| Set the flag to decide whether to use down-sampling for image stretching. More...
def | SetForceHalftone (is_to_force_halftone)
| Set the flag to decide whether to use halftone for image stretching. More...
def | SetForegroundColor (foreground_color)
| Set foreground color for text, path or both when color mode is FoxitPDFSDKPython2.Renderer.e_ColorModeForeground . More...
def | SetForegroundColorMode (foreground_color_mode)
| Set rendering foreground color mode when color mode is FoxitPDFSDKPython2.Renderer.e_ColorModeForeground . More...
def | SetJPEGDownSample (is_jepg_down_sample)
| Set the flag to decide whether to use down-sampling for jpeg image. More...
def | SetJPXDownSample (is_jpx_down_sample)
| Set the flag to decide whether to use down-sampling for jpx image. More...
def | SetLayerContext (layer_context)
| Set layer context to render context handle. More...
def | SetMappingModeColors (background_color, foreground_color)
| Set background color and foreground color when color mode is FoxitPDFSDKPython2.Renderer.e_ColorModeMappingGray or FoxitPDFSDKPython2.Renderer.e_ColorModeMapping . More...
def | SetOverprint (is_to_enable_overprint)
| Set the flag to decide whether to enable overprint. More...
def | SetPrintTextAsGraphic (is_to_print_text_graphic)
| Set the flag to decide whether to print text as path or bitmap. More...
def | SetPrintTextAsImage (is_to_print_text_image)
| Set the flag to decide whether to print text as image. More...
def | SetRenderAnnotAppearanceType (ap_type)
| Set the annotation's appearance type for rendering. More...
def | SetRenderAnnotsForThumbnail (is_render_annots_for_thumbnail)
| Set rendering flag to decide whether to render annotations in thumbnail mode or not. More...
def | SetRenderContentFlags (render_content_flags)
| Set rendering flag to decide what content will be rendered. More...
def | SetRenderEnhanceThinLines (is_render_enhance_thin_lines)
| Set the flag to decide whether to enhance thin lines. More...
def | SetRenderFormField (is_render_formfield)
| Set the flag to decide whether to render form fields (except signature fields). More...
def | SetRenderImageAntiAliasing (is_render_image_antialiasing)
| Set the flag to decide whether to draw image anti-aliasing. More...
def | SetRenderLayer (is_render_one_layer)
| Set the flag to decide whether to render one layer or all available layers. More...
def | SetRenderPathAntiAliasing (is_render_path_antialiasing)
| Set the flag to decide whether to draw path anti-aliasing. More...
def | SetRenderPathFullCovered (is_render_path_full_covered)
| A special flag that can be applied to fill mode. More...
def | SetRenderPathThinLine (is_render_path_thin_line)
| Set the flag to decide whether to draw path as thin line. More...
def | SetRenderSignature (is_render_signature)
| Set the flag to decide whether to render signatures or not. More...
def | SetRenderSignatureState (is_render_signature_state)
| Set the flag to decide whether to draw the signature state on the signature. More...
def | SetRenderTextAntiAliasing (is_render_text_antialiasing)
| Set the flag to decide whether to draw text anti-aliasing. More...
def | SetScreenDPIScale (scale)
| Set the screen DPI scaling factor for rendering. More...
def | StartQuickRender (page, matrix, pause)
| Start to quickly render a PDF page, mainly for thumbnail purpose. More...
def | StartRender (page, matrix, pause)
| Start to render a PDF page. More...
def | StartRenderBitmap (bitmap, matrix, clip_rect, interpolation, alpha, pause)
| Start to render a bitmap. More...
def | StartRenderReflowPage (reflow_page, matrix, pause)
| Start to render a reflow page. More...
def | StartRenderXFAPage (xfa_page_view, matrix, is_highlight, pause)
| Start to render an XFA page. More...

## Static Public Attributes
| e_ColorModeAlpha = _fsdk.Renderer_e_ColorModeAlpha
| Output alpha only, ignore color.
| e_ColorModeForeground = _fsdk.Renderer_e_ColorModeForeground
| Custom color mode. map colors to foreground.
| e_ColorModeForegroundBlackPath = _fsdk.Renderer_e_ColorModeForegroundBlackPath
| If set, only the black color of path need to be replaced.
| e_ColorModeForegroundBlackText = _fsdk.Renderer_e_ColorModeForegroundBlackText
| If set, only the black color of text need to be replaced.
| e_ColorModeForegroundPath = _fsdk.Renderer_e_ColorModeForegroundPath
| If set, the color of path need to be replaced.
| e_ColorModeForegroundText = _fsdk.Renderer_e_ColorModeForegroundText
| If set, the color of text need to be replaced.
| e_ColorModeMapping = _fsdk.Renderer_e_ColorModeMapping
| Map a color value to the color range defined by a background color and a foreground color.
| e_ColorModeMappingGray = _fsdk.Renderer_e_ColorModeMappingGray
| Map gray/white/black color value to background/foreground; for other colors, no change.
| e_ColorModeNormal = _fsdk.Renderer_e_ColorModeNormal
| Normal color mode.
| e_RenderAnnot = _fsdk.Renderer_e_RenderAnnot
| If set, annotations will be rendered.
| e_RenderExceptHighlight = _fsdk.Renderer_e_RenderExceptHighlight
| If set, all annotations expect highlight will be rendered.
| e_RenderHighlight = _fsdk.Renderer_e_RenderHighlight
| If set, only highlight annotations will be rendered.
| e_RenderPage = _fsdk.Renderer_e_RenderPage
| If set, page content will be rendered.
| e_RenderScreen = _fsdk.Renderer_e_RenderScreen
| If set, only screen annotations will be rendered.

## Detailed Description

PDF renderer is a graphics engine and is used to render page to a bitmap or a platform device context. This class can be constructed with a bitmap, or a device object. It offers functions to set rendering options/flags, and do rendering. In this class, there are several ways to do rendering:

- To render page and annotations, first use function FoxitPDFSDKPython2.Renderer.SetRenderContentFlags to decide whether to render page and annotation both or not, and then use functions FoxitPDFSDKPython2.Renderer.StartRender to do the rendering. Function FoxitPDFSDKPython2.Renderer.StartQuickRender can also be used to render page but only for thumbnail purpose.
- To render a single annotation, use function FoxitPDFSDKPython2.Renderer.RenderAnnot .
- To render a bitmap, use function FoxitPDFSDKPython2.Renderer.StartRenderBitmap .
- To render a reflow page, use function FoxitPDFSDKPython2.Renderer.StartRenderReflowPage .

Widget annotation is always associated with form field and form control in Foxit PDF SDK. For how to render widget annotations, here is a recommended flow:

- After loading a PDF page, first render the page and all annotations in this page (including widget annotations).
- Then, if user uses FoxitPDFSDKPython2.Filler object to fill the form, user should use function FoxitPDFSDKPython2.Filler.Render to render the focused form control instead of using function FoxitPDFSDKPython2.Renderer.RenderAnnot .

See also
  FoxitPDFSDKPython2.Filler

## Constructor & Destructor Documentation

## ◆ Renderer() [1/3]

def FoxitPDFSDKPython2.Renderer.Renderer | ( |  | bitmap,
|  |  | is_rgb_order
| ) |  |

Constructor, with bitmap.

The input bitmap is treated as an independent device and all the content rendered by the renderer would appear in the bitmap.

Parameters

  [in] | bitmap | A bitmap used for rendering. User should ensure the bitmap to keep valid until the end of life cycle of current renderer object.
  [in] | is_rgb_order | true means Foxit PDF SDK needs to use RGB byte-order (Red is in the lowest order) when rendering. false means Foxit PDF SDK needs to use BGR byte-order (Blue is in the lowest order) when rendering.

## ◆ Renderer() [2/3]

def FoxitPDFSDKPython2.Renderer.Renderer | ( |  | other | ) |

Constructor, with another renderer object.

Parameters

  [in] | other | Another renderer object.

## ◆ Renderer() [3/3]

def FoxitPDFSDKPython2.Renderer.Renderer | ( |  | print_param,
|  |  | dest_file_path
| ) |  |

Constructor for printing, with specified print device setting data.

All the content rendered by the renderer would appear in the PDF file or PostScrip file. Generating PS files is only supported on Linux systems.

Parameters

  [in] | print_param | Setting data used to print device.
  [in] | dest_file_path | The path to generate the printed PDF file or PostScrip file. If this path is a PDF file path, please ensure Foxit PDF SDK has been initialized successfully by function FoxitPDFSDKPython2.Library.Initialize with a key including "Print2PDF" module.

## Member Function Documentation

## ◆ ClearClips()

def FoxitPDFSDKPython2.Renderer.ClearClips | ( |  | ) |

Clear the clipping rectangle set by function FoxitPDFSDKPython2.Renderer.SetClipRect .

Returns
  None.

## ◆ EnableForPrint()

def FoxitPDFSDKPython2.Renderer.EnableForPrint | ( |  | is_render_for_print | ) |

Set the flag to decide whether to do rendering in print mode.

Please ensure this rendering flag is set as expected when current renderer is to used for printing. For rendering annotations, if this flag is set to be true, Foxit PDF SDK will only render annotations which have annotation flag FoxitPDFSDKPython2.Annot.e_FlagPrint .
If this function is not called for current renderer object yet, default value false will be used.

Parameters

  [in] | is_render_for_print | true means to render in print mode, while false means to render not in print mode.

Returns
  None.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.Renderer.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RenderAnnot()

def FoxitPDFSDKPython2.Renderer.RenderAnnot | ( |  | annot,
|  |  | matrix
| ) |  |

Render a specified annotation.

When this function is called, rendering flag (set by function FoxitPDFSDKPython2.Renderer.SetRenderContentFlags or by default) will be ignored.

Parameters

  [in] | annot | An annotation object to be rendered. If input annot is a pop-up annotation, this function will not render it and will return false.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function FoxitPDFSDKPython2.PDFPage.GetDisplayMatrix .

Returns
  true means success, while false means failure.

## ◆ RenderFormControls()

def FoxitPDFSDKPython2.Renderer.RenderFormControls | ( |  | page,
|  |  | matrix
| ) |  |

Render form controls.

When this function is called, rendering flag (set by function FoxitPDFSDKPython2.Renderer.SetRenderContentFlags or by default) will be ignored.

Parameters

  [in] | page | A valid PDF page. If input page is invalid, this function do nothing and return false directly.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function FoxitPDFSDKPython2.PDFPage.GetDisplayMatrix .

Returns
  true means success, while false means failure.

## ◆ RenderGraphicsObject()

def FoxitPDFSDKPython2.Renderer.RenderGraphicsObject | ( |  | graphics_object,
|  |  | page,
|  |  | matrix
| ) |  |

Render a graphics object.

When this function is called, rendering flag (set by function FoxitPDFSDKPython2.Renderer.SetRenderContentFlags or by default) will be ignored.

Parameters

  [in] | graphics_object | A valid PDF graphics object to be rendered.
  [in] | page | A valid PDF page. Parameter graphics_object belongs to this PDF page.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function FoxitPDFSDKPython2.PDFPage.GetDisplayMatrix .

Returns
  true means success, while false means failure.

## ◆ SetClearType()

def FoxitPDFSDKPython2.Renderer.SetClearType | ( |  | is_clear_type | ) |

Set the flag to decide whether to use ClearType-like anti-aliasing to render text objects.

If this function is not called, default value true will be used.

Parameters

  [in] | is_clear_type | true means to use ClearType-like anti-aliasing to render text objects. false means not to use ClearType-like anti-aliasing to render text objects.

Returns
  None.

## ◆ SetClipPathFill()

def FoxitPDFSDKPython2.Renderer.SetClipPathFill | ( |  | clip_path,
|  |  | matrix,
|  |  | fill_mode
| ) |  |

Set clipping path using filled region.

Parameters

  [in] | clip_path | A clipping path.
  [in] | matrix | The transformation matrix used for clipping.
  [in] | fill_mode | Fill mode. It should be value or .

Returns
  None.

## ◆ SetClipPathStroke()

def FoxitPDFSDKPython2.Renderer.SetClipPathStroke | ( |  | clip_path,
|  |  | matrix,
|  |  | graph_state
| ) |  |

Set clipping path using stroked region.

Parameters

  [in] | clip_path | A clipping path.
  [in] | matrix | The transformation matrix used for clipping.
  [in] | graph_state | A valid graph state, for pen attributes. If this is null, Foxit PDF SDK will use a graph state object with default constructor. Default value: null.

Returns
  None.

## ◆ SetClipRect()

def FoxitPDFSDKPython2.Renderer.SetClipRect | ( |  | clip_rect | ) |

Set the clipping rectangle which will be used in subsequent rendering progress.

Parameters

  [in] | clip_rect | A clipping rectangle. If it is null, that means not to use clipping rectangle in subsequent rendering progress.

Returns
  None.

## ◆ SetColorMode()

def FoxitPDFSDKPython2.Renderer.SetColorMode | ( |  | color_mode | ) |

Set color mode.

If this function is not called, default value FoxitPDFSDKPython2.Renderer.e_ColorModeNormal will be used.

Parameters

  [in] | color_mode | Color mode value. It should be one of following values: FoxitPDFSDKPython2.Renderer.e_ColorModeNormal means normal color mode. FoxitPDFSDKPython2.Renderer.e_ColorModeMappingGray means to map white/black color value to background/foreground; for other colors, no change. If this mode is used, please call function FoxitPDFSDKPython2.Renderer.SetMappingModeColors to set "background color" and "foreground color". FoxitPDFSDKPython2.Renderer.e_ColorModeMapping means to map a color value to the color range defined by a background color and a foreground color. If this mode is used, please call function FoxitPDFSDKPython2.Renderer.SetMappingModeColors to set "background color" and "foreground color".

Returns
  None.

## ◆ SetForceDownSample()

def FoxitPDFSDKPython2.Renderer.SetForceDownSample | ( |  | is_to_force_down_sample | ) |

Set the flag to decide whether to use down-sampling for image stretching.

If this function is not called, default value false will be used.

Parameters

  [in] | is_to_force_down_sample | true means to use down-sampling for image stretching. false means not to use down-sampling for image stretching.

Returns
  None.

## ◆ SetForceHalftone()

def FoxitPDFSDKPython2.Renderer.SetForceHalftone | ( |  | is_to_force_halftone | ) |

Set the flag to decide whether to use halftone for image stretching.

If this function is not called, default value false will be used.

Parameters

  [in] | is_to_force_halftone | true means to use halftone for image stretching. false means not to use halftone for image stretching.

Returns
  None.

## ◆ SetForegroundColor()

def FoxitPDFSDKPython2.Renderer.SetForegroundColor | ( |  | foreground_color | ) |

Set foreground color for text, path or both when color mode is FoxitPDFSDKPython2.Renderer.e_ColorModeForeground .

The foreground color for text, path, or both is determined by the foreground color mode set by the function FoxitPDFSDKPython2.Renderer.SetForegroundColorMode .

Parameters

  [in] | foreground_color | The foreground color for text, path, or both. Format: 0xAARRGGBB.

Returns
  None.

## ◆ SetForegroundColorMode()

def FoxitPDFSDKPython2.Renderer.SetForegroundColorMode | ( |  | foreground_color_mode | ) |

Set rendering foreground color mode when color mode is FoxitPDFSDKPython2.Renderer.e_ColorModeForeground .

If this function is not called, default value (FoxitPDFSDKPython2.Renderer.e_ColorModeForegroundText | FoxitPDFSDKPython2.Renderer.e_ColorModeForegroundPath | FoxitPDFSDKPython2.Renderer.e_ColorModeForegroundBlackText | FoxitPDFSDKPython2.Renderer.e_ColorModeForegroundBlackPath ) will be used.

Parameters

  [in] | foreground_color_mode | Rendering foreground color mode. Please refer to values starting from FoxitPDFSDKPython2.Renderer.e_ColorModeForegroundText and this should be one or a combination of these values.

Returns
  None.

## ◆ SetJPEGDownSample()

def FoxitPDFSDKPython2.Renderer.SetJPEGDownSample | ( |  | is_jepg_down_sample | ) |

Set the flag to decide whether to use down-sampling for jpeg image.

Whether to use down-sampling for jpeg image or not will affect rendering result for a PDF page. When current function is called successfully, user should called function FoxitPDFSDKPython2.PDFPage.ClearRenderCache for a PDF page (which has been rendered at least once) before rendering the PDF page again.
If this function is not called, default value true will be used.

Parameters

  [in] | is_jepg_down_sample | true means to use down-sampling for jpeg image. false means not to use down-sampling for jpeg image.

Returns
  None.

## ◆ SetJPXDownSample()

def FoxitPDFSDKPython2.Renderer.SetJPXDownSample | ( |  | is_jpx_down_sample | ) |

Set the flag to decide whether to use down-sampling for jpx image.

Whether to use down-sampling for jpx image or not will affect rendering result for a PDF page. When current function is called successfully, user should called function FoxitPDFSDKPython2.PDFPage.ClearRenderCache for a PDF page (which has been rendered at least once) before rendering the PDF page again.
If this function is not called, default value true will be used.

Parameters

  [in] | is_jpx_down_sample | true means to use down-sampling for jpx image. false means not to use down-sampling for jpx image.

Returns
  None.

## ◆ SetLayerContext()

def FoxitPDFSDKPython2.Renderer.SetLayerContext | ( |  | layer_context | ) |

Set layer context to render context handle.

In order to render one layer when PDF page's contents is rendered on a rendering context, user should call this function to set the layer context to render context.

Parameters

  [in] | layer_context | A layer context object.

Returns
  None.

## ◆ SetMappingModeColors()

def FoxitPDFSDKPython2.Renderer.SetMappingModeColors | ( |  | background_color,
|  |  | foreground_color
| ) |  |

Set background color and foreground color when color mode is FoxitPDFSDKPython2.Renderer.e_ColorModeMappingGray or FoxitPDFSDKPython2.Renderer.e_ColorModeMapping .

Parameters

  [in] | background_color | The background color. Format: 0xAARRGGBB.
  [in] | foreground_color | The foreground color. Format: 0xAARRGGBB.

Returns
  None.

## ◆ SetOverprint()

def FoxitPDFSDKPython2.Renderer.SetOverprint | ( |  | is_to_enable_overprint | ) |

Set the flag to decide whether to enable overprint.

Parameters

  [in] | is_to_enable_overprint | true means to enable overprint. false means not to enable overprint. Default: false.

Returns
  None.

## ◆ SetPrintTextAsGraphic()

def FoxitPDFSDKPython2.Renderer.SetPrintTextAsGraphic | ( |  | is_to_print_text_graphic | ) |

Set the flag to decide whether to print text as path or bitmap.

When this flag is true, Foxit PDF SDK will render text in different way: if font size is greater than 50, print text as path; otherwise, print text as bitmap.
If this function is not called, default value false will be used.

Parameters

  [in] | is_to_print_text_graphic | true means to print text as path or bitmap. false means not to print text as path or bitmap.

Returns
  None.

## ◆ SetPrintTextAsImage()

def FoxitPDFSDKPython2.Renderer.SetPrintTextAsImage | ( |  | is_to_print_text_image | ) |

Set the flag to decide whether to print text as image.

If this function is not called, default value false will be used.

Parameters

  [in] | is_to_print_text_image | true means to print text as image. false means not to print text as image.

Returns
  None.

## ◆ SetRenderAnnotAppearanceType()

def FoxitPDFSDKPython2.Renderer.SetRenderAnnotAppearanceType | ( |  | ap_type | ) |

Set the annotation's appearance type for rendering.

Parameters

  [in] | ap_type | Type of annotation's appearance. Please refer to values starting from FoxitPDFSDKPython2.Annot.e_AppearanceTypeNormal and this should be one of these values.

Returns
  None.

## ◆ SetRenderAnnotsForThumbnail()

def FoxitPDFSDKPython2.Renderer.SetRenderAnnotsForThumbnail | ( |  | is_render_annots_for_thumbnail | ) |

Set rendering flag to decide whether to render annotations in thumbnail mode or not.

In thumbnail mode, the flags of annotations, "NoZoom" and "NoRotate", will be ignored. This rendering flag is available only when flag FoxitPDFSDKPython2.Renderer.e_RenderAnnot is used for rendering or function FoxitPDFSDKPython2.Renderer.RenderAnnot is called. Please refer to function FoxitPDFSDKPython2.Renderer.SetRenderContentFlags about setting flag FoxitPDFSDKPython2.Renderer.e_RenderAnnot .
If this function is not called, default value false will be used when this rendering flag is available.

Parameters

  [in] | is_render_annots_for_thumbnail | true means to render annotations in thumbnail mode. false means not to render annotations in thumbnail mode.

Returns
  None.

## ◆ SetRenderContentFlags()

def FoxitPDFSDKPython2.Renderer.SetRenderContentFlags | ( |  | render_content_flags | ) |

Set rendering flag to decide what content will be rendered.

If this function is not called, default value (FoxitPDFSDKPython2.Renderer.e_RenderPage | FoxitPDFSDKPython2.Renderer.e_RenderAnnot ) will be used.

Parameters

  [in] | render_content_flags | Rendering content flags. Please refer to values starting from FoxitPDFSDKPython2.Renderer.e_RenderPage and this should be one or a combination of these values. The FoxitPDFSDKPython2.Renderer.e_RenderHighlight can not be combined with FoxitPDFSDKPython2.Renderer.e_RenderExceptHighlight .

Returns
  None.

## ◆ SetRenderEnhanceThinLines()

def FoxitPDFSDKPython2.Renderer.SetRenderEnhanceThinLines | ( |  | is_render_enhance_thin_lines | ) |

Set the flag to decide whether to enhance thin lines.

If this function is not called, default value false will be used.

Parameters

  [in] | is_render_enhance_thin_lines | true means to draw zero width lines with a thicker path so they are more visible than the default single pixel. false means to draw zero width lines with a single pixel width.

Returns
  None.

## ◆ SetRenderFormField()

def FoxitPDFSDKPython2.Renderer.SetRenderFormField | ( |  | is_render_formfield | ) |

Set the flag to decide whether to render form fields (except signature fields).

If this function is not called, default value true will be used when this flag is available.

Parameters

  [in] | is_render_formfield | true means to render form fields (except signature fields). false means not to render form fields (except signature fields).

Returns
  None.

## ◆ SetRenderImageAntiAliasing()

def FoxitPDFSDKPython2.Renderer.SetRenderImageAntiAliasing | ( |  | is_render_image_antialiasing | ) |

Set the flag to decide whether to draw image anti-aliasing.

If this function is not called, default value true will be used.

Parameters

  [in] | is_render_image_antialiasing | true means to draw image anti-aliasing, and the effect would be similar to values defined in enum class InterpolationFlag. false means to draw image aliasing.

Returns
  None.

## ◆ SetRenderLayer()

def FoxitPDFSDKPython2.Renderer.SetRenderLayer | ( |  | is_render_one_layer | ) |

Set the flag to decide whether to render one layer or all available layers.

If this function is not called, default value true will be used when this flag is available.

Parameters

  [in] | is_render_one_layer | true means to render one layer. false means to render all available layers.

Returns
  None.

## ◆ SetRenderPathAntiAliasing()

def FoxitPDFSDKPython2.Renderer.SetRenderPathAntiAliasing | ( |  | is_render_path_antialiasing | ) |

Set the flag to decide whether to draw path anti-aliasing.

If this function is not called, default value true will be used.

Parameters

  [in] | is_render_path_antialiasing | true means to draw path anti-aliasing. false means to draw path aliasing.

Returns
  None.

## ◆ SetRenderPathFullCovered()

def FoxitPDFSDKPython2.Renderer.SetRenderPathFullCovered | ( |  | is_render_path_full_covered | ) |

A special flag that can be applied to fill mode.

If this function is not called, default value false will be used.

Parameters

  [in] | is_render_path_full_covered | true means that all pixels partially covered by the path will be fully painted, while false means not.

Returns
  None.

## ◆ SetRenderPathThinLine()

def FoxitPDFSDKPython2.Renderer.SetRenderPathThinLine | ( |  | is_render_path_thin_line | ) |

Set the flag to decide whether to draw path as thin line.

If this function is not called, default value false will be used.

Parameters

  [in] | is_render_path_thin_line | true means to draw path as thin line. false means not to draw path as thin line.

Returns
  None.

## ◆ SetRenderSignature()

def FoxitPDFSDKPython2.Renderer.SetRenderSignature | ( |  | is_render_signature | ) |

Set the flag to decide whether to render signatures or not.

If this function is not called, default value true will be used when this flag is available.

Parameters

  [in] | is_render_signature | true means to render signatures. false means not to render signatures.

Returns
  None.

## ◆ SetRenderSignatureState()

def FoxitPDFSDKPython2.Renderer.SetRenderSignatureState | ( |  | is_render_signature_state | ) |

Set the flag to decide whether to draw the signature state on the signature.

If this function is not called, default value true will be used.

Parameters

  [in] | is_render_signature_state | true means to draw the signature state on the signature, while false means not.

## ◆ SetRenderTextAntiAliasing()

def FoxitPDFSDKPython2.Renderer.SetRenderTextAntiAliasing | ( |  | is_render_text_antialiasing | ) |

Set the flag to decide whether to draw text anti-aliasing.

If this function is not called, default value true will be used.

Parameters

  [in] | is_render_text_antialiasing | true means to draw text anti-aliasing. false means to draw text aliasing.

Returns
  None.

## ◆ SetScreenDPIScale()

def FoxitPDFSDKPython2.Renderer.SetScreenDPIScale | ( |  | scale | ) |

Set the screen DPI scaling factor for rendering.

Set the screen DPI scaling scale to adapt to different DPI conditions. This value should typically match the system-reported scaling factor (e.g., 1.25f for 125% scaling in display settings) to ensure proper rendering alignment with the physical display characteristics.

Parameters

  [in] | scale | The scale of curren screen DPI(1.0f = 100% native DPI, 2.0f = 200%, etc.). Must be greater than 0 and should generally correspond to the system's recommended scaling factor. Default value: 1.0f for non-Android platforms; 2.5f for Android platform.

Note
  Currently, this screen DPI scaling factor only affects the annotations.

Returns
  None.

## ◆ StartQuickRender()

def FoxitPDFSDKPython2.Renderer.StartQuickRender | ( |  | page,
|  |  | matrix,
|  |  | pause
| ) |  |

Start to quickly render a PDF page, mainly for thumbnail purpose.

This function is mainly used for render a page for thumbnail purpose. The rendered content will not be completed: all the annotations will be ignored, event if flag FoxitPDFSDKPython2.Renderer.e_RenderAnnot is set by function FoxitPDFSDKPython2.Renderer.SetRenderContentFlags ; text content will become blurred and will be replace by pixel point.
It may still take a long time to do this quick rendering when page has complex or large contents, so Foxit PDF SDK uses a progressive process to do this.

Parameters

  [in] | page | A valid PDF page. It should have been parsed.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function FoxitPDFSDKPython2.PDFPage.GetDisplayMatrix .
  [in] | pause | Pause callback object which decides if the rendering process needs to be paused. This can be null which means not to pause during the rendering process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

## ◆ StartRender()

def FoxitPDFSDKPython2.Renderer.StartRender | ( |  | page,
|  |  | matrix,
|  |  | pause
| ) |  |

Start to render a PDF page.

It may take a long time to render a PDF page with complex or large contents, so Foxit PDF SDK uses a progressive process to do this.
Widget annotation is always associated with form field and form control in Foxit PDF SDK. For how to render widget annotations, here is a recommended flow:

- After loading a PDF page, first render the page and all annotations in this page (including widget annotations).
- Then, if user uses FoxitPDFSDKPython2.Filler object to fill the form, user should use function FoxitPDFSDKPython2.Filler.Render to render the focused form control instead of using function FoxitPDFSDKPython2.Renderer.RenderAnnot .

Parameters

  [in] | page | A valid PDF page. If only to render annotations (that means only FoxitPDFSDKPython2.Renderer.e_RenderAnnot is set by function FoxitPDFSDKPython2.Renderer.SetRenderContentFlags ), there is no need to parse the input page; otherwise the input page should have been parsed.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function FoxitPDFSDKPython2.PDFPage.GetDisplayMatrix .
  [in] | pause | Pause callback object which decides if the rendering process needs to be paused. This can be null which means not to pause during the rendering process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

## ◆ StartRenderBitmap()

def FoxitPDFSDKPython2.Renderer.StartRenderBitmap | ( |  | bitmap,
|  |  | matrix,
|  |  | clip_rect,
|  |  | interpolation,
|  |  | alpha,
|  |  | pause
| ) |  |

Start to render a bitmap.

It may take a long time to render a bitmap with complex or large contents, so Foxit PDF SDK uses a progressive process to do this.

Parameters

  [in] | bitmap | A valid bitmap. User should ensure the bitmap to keep valid until current rendering process is finished.
  [in] | matrix | The transformation matrix used for rendering. This matrix is used as image matrix: assume that h is image height, w is image width, and then matrix [w 0 0 h 0 0] will produce an identical image.
  [in] | clip_rect | Clip rectangle for the rendering device. This can be null.
  [in] | interpolation | Bitmap interpolation flags. Please refer to values starting from FoxitPDFSDKPython2.Bitmap.e_Downsample and this can be one or a combination of these values. If not specify any flag, please use 0.
  [in] | alpha | Bitmap alpha represents transparency (0 = fully transparent, 255 = fully opaque). Valid range: from 0 to 255.
  [in] | pause | Pause callback object which decides if the rendering process needs to be paused. This can be null which means not to pause during the rendering process. If this is not null, it should be a valid pause object implemented by user.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

It may take a long time to render a bitmap with complex or large contents, so Foxit PDF SDK uses a progressive process to do this.

Parameters

  [in] | bitmap | A valid bitmap. User should ensure the bitmap to keep valid until current rendering process is finished.
  [in] | matrix | The transformation matrix used for rendering. This matrix is used as image matrix: assume that h is image height, w is image width, and then matrix [w 0 0 h 0 0] will produce an identical image.
  [in] | clip_rect | Clip rectangle for the rendering device. This can be null. Default value: null.
  [in] | interpolation | Bitmap interpolation flags. Please refer to values starting from FoxitPDFSDKPython2.Bitmap.e_Downsample and this can be one or a combination of these values. If not specify any flag, please use 0. Default value: 0.
  [in] | pause | Pause callback object which decides if the rendering process needs to be paused. This can be null which means not to pause during the rendering process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

## ◆ StartRenderReflowPage()

def FoxitPDFSDKPython2.Renderer.StartRenderReflowPage | ( |  | reflow_page,
|  |  | matrix,
|  |  | pause
| ) |  |

Start to render a reflow page.

It may take a long time to render a reflow page with complex or large contents, so Foxit PDF SDK uses a progressive process to do this.

Parameters

  [in] | reflow_page | A valid reflow page. It should have been parsed.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function FoxitPDFSDKPython2.ReflowPage.GetDisplayMatrix .
  [in] | pause | Pause callback object which decides if the rendering process needs to be paused. This can be null which means not to pause during the rendering process. If this is not null, it should be a valid pause object implemented by user. Default value:null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.

## ◆ StartRenderXFAPage()

def FoxitPDFSDKPython2.Renderer.StartRenderXFAPage | ( |  | xfa_page_view,
|  |  | matrix,
|  |  | is_highlight,
|  |  | pause
| ) |  |

Start to render an XFA page.

It will take a long time to render an XFA page with complex or large contents, so Foxit PDF SDK uses a progressive process to do this.

Parameters

  [in] | xfa_page_view | A valid XFA page.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function FoxitPDFSDKPython2.XFAPage.GetDisplayMatrix .
  [in] | is_highlight | true means to highlight XFA widgets, and false means not to highlight XFA widgets.
  [in] | pause | Pause callback object which decides if the rendering process needs to be paused. This can be null which means not to pause during the rendering process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FoxitPDFSDKPython2.Progressive.GetRateOfProgress . If the rate is not 100 yet, call function FoxitPDFSDKPython2.Progressive.Continue to continue the progress until the progress is finished.